> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a persistent server

> Update an existing persistent server



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json put /v0/persistent-servers
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/persistent-servers:
    put:
      tags:
        - persistent-servers
      summary: Update a persistent server
      description: Update an existing persistent server
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Persistent Server ID
          in: query
          name: persistent_server_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.UpdatePersistentServerRequest'
        description: Persistent server details
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UpdatePersistentServerResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.UpdatePersistentServerRequest:
      description: Request to update an existing persistent server
      properties:
        active:
          example: true
          type: boolean
        max_memory:
          example: 2048
          type: integer
        max_players:
          example: 50
          type: integer
        min_memory:
          example: 1024
          type: integer
        name:
          example: my-persistent-server
          type: string
        priority:
          example: 10
          type: integer
        properties:
          additionalProperties: {}
          type: object
        serverhost_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        source:
          $ref: '#/components/schemas/models.SourceConfig'
        tags:
          items:
            type: string
          type: array
          uniqueItems: false
        type:
          example: SERVER
          type: string
        workflows:
          $ref: '#/components/schemas/models.WorkflowsConfig'
      type: object
    models.UpdatePersistentServerResponse:
      description: Response for updating a persistent server
      properties:
        active:
          example: true
          type: boolean
        created_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        max_memory:
          example: 2048
          type: integer
        max_players:
          example: 50
          type: integer
        min_memory:
          example: 1024
          type: integer
        name:
          example: my-persistent-server
          type: string
        persistent_server_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        player_count:
          example: 0
          type: integer
        priority:
          example: 10
          type: integer
        properties:
          additionalProperties: {}
          type: object
        serverhost_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        source:
          $ref: '#/components/schemas/models.SourceConfig'
        tags:
          items:
            type: string
          type: array
          uniqueItems: false
        type:
          example: SERVER
          type: string
        updated_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        workflows:
          $ref: '#/components/schemas/models.WorkflowsConfig'
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.SourceConfig:
      description: Source configuration for server groups
      properties:
        blueprint:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        image:
          example: ghcr.io/user/custom-image:latest
          type: string
        type:
          example: blueprint
          type: string
      type: object
    models.WorkflowsConfig:
      description: Workflows configuration for server groups
      properties:
        manual:
          items:
            type: string
          type: array
          uniqueItems: false
        when:
          $ref: '#/components/schemas/models.WorkflowWhen'
      type: object
    models.WorkflowWhen:
      description: When workflows should be executed
      properties:
        start:
          items:
            type: string
          type: array
          uniqueItems: false
        stop:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object

````